Bug 86850 - CONTEXT MENU: Always display clipboard functions
Summary: CONTEXT MENU: Always display clipboard functions
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: tmacalp
QA Contact:
URL:
Whiteboard: target:5.0.0
Keywords:
Depends on:
Blocks: Context-Menu Paste
  Show dependency treegraph
 
Reported: 2014-11-29 14:31 UTC by Yousuf Philips (jay)
Modified: 2016-09-26 22:55 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2014-11-29 14:31:59 UTC
Presently, if any of the clipboard functions are not accessible, they are not shown in the context menu. I believe this should be changed to act similar to the Edit menu, where these entries are always visible, but dimmed when they are not accessible.

The purpose of this is that the context menu is the first place users go in the UI to access these functions and them not being there will result in some users looking at the toolbar or edit menu for them.

Most applications (text editors, browsers, file managers, office suites) behave in this manner and i believe libreoffice should do the same.
Comment 1 tommy27 2014-11-29 16:55:48 UTC
I agree. status NEW.
Comment 2 Yousuf Philips (jay) 2014-12-02 01:12:48 UTC
I believe the fix to this issue is to tweak Menu::RemoveDisabledEntries() in vcl/source/window/menu.cxx to not remove clipboard functions found in the MN_CLIPBOARDFUNCS menu entry found in sfx2/source/menu/menu.src.
Comment 3 Cor Nouws 2014-12-18 21:43:06 UTC
Am I wrong assuming there is some inconsistency with this issue and the plan in bug 84177 ?
Comment 4 V Stuart Foote 2014-12-18 22:14:48 UTC
@Cor, *,

Don't think bug 84177 actually had a plan--it merely suggested that if the clipboard elements are not active, none--specifically the Paste Special--should be visible.

This issue proposes just the opposite, the clipboard functions should always appear--active and available for use, or not--from the context menu.

However, Adolfo's split menu mockup from 84177 https://bugs.freedesktop.org/attachment.cgi?id=108300 is appealing UI.

Suggest we close bug 84177 as WontFix and move this one forward, with Adolfo's mockup.
Comment 5 Cor Nouws 2014-12-18 22:53:19 UTC
(In reply to V Stuart Foote from comment #4)

> This issue proposes just the opposite, the clipboard functions should always
> appear--active and available for use, or not--from the context menu.

Yes, that is what I noticed of course.
Strange that one can support both ideas ..
Comment 6 Adolfo Jayme 2014-12-19 14:48:27 UTC
(In reply to V Stuart Foote from comment #4)
> Suggest we close bug 84177 as WontFix and move this one forward, with
> Adolfo's mockup.

Nonsense.
Comment 7 Yousuf Philips (jay) 2014-12-20 07:51:28 UTC
Just to be clear, bug 84177 suggests hiding the paste special submenu when it is empty and adolfo's mockup proposes joining paste and paste special into a single entry, and that differs from this bug which suggests that the currently hidden clipboard functions (cut, copy, paste) always be visible. Paste special isnt integrated in all modules - its not in calc's cell internal context menu or in draw/impress context menu.
Comment 8 Commit Notification 2015-05-14 16:57:56 UTC
Trent MacAlpine committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fa4a87bc539865962dabf00aea465479d34faf92

tdf#86850 Always display clipboard functions in context menu

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Mike §chinagl 2015-05-21 16:20:40 UTC
This bug fix is mentioned in the release notes of the coming LibreOffice 5.0 (see release notes https://wiki.documentfoundation.org/ReleaseNotes/5.0). Therefore it would be wonderful if this feature really worked well, otherwise it should not be mentioned in the release notes. In the notes it reads:

Clipboard functions (Cut, Copy, Paste) are always visible. tdf#86850 (Trent MacAlpine)